Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 10 May 2022 09:56:41 +0000

Hi Athar Mubark,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have placed an order this morning and payment was deducted by Max from my bank account card 

Now I'm receiving messages that the order is not processed and payment is not done . I checked the order number and it says invalid 

This is the second bad experience with Max and I will not deal with you again ever 

I want my order TODAY

Thank you for your order. Order 7369726543 for Floral Embroidered Brazillian ... +7more items for BHD  20.2 is confirmed. Expect delivery by 10-05-2022. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4337109